%global pypiname pluggy

%{!?__python2:%global __python2 %{__python}}
%{!?python2_sitelib:   %global python2_sitelib  %{python_sitelib}}
%{!?python2_sitearch:  %global python2_sitearch %{python_sitearch}}
%{!?python2_version:   %global python2_version  %{python_version}}

Name:           python-pluggy
Version:        0.3.1
Release:        %mkrel 5
Summary:        The plugin manager stripped of pytest specific details
Group:          Development/Python
License:        MIT
URL:            https://github.com/hpk42/pluggy
Source0:        http://pypi.python.org/packages/source/p/%{pypiname}/%{pypiname}-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-pytest
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools


%description
The plugin manager stripped of pytest specific details.


%package -n python2-%{pypiname}
Summary:  The plugin manager stripped of pytest specific details
Group:    Development/Python
Provides: python-%{pypiname} = %{version}-%{release}

%description -n python2-%{pypiname}
The plugin manager stripped of pytest specific details.

%package -n python3-%{pypiname}
Summary:  The plugin manager stripped of pytest specific details
Group:    Development/Python

%description -n python3-%{pypiname}
The plugin manager stripped of pytest specific details.



%prep
%setup -qc
mv %{pypiname}-%{version} python2

pushd python2
cp -a LICENSE ..
cp -a README.rst ..

rm -rf {pypiname}.egg-info
popd


cp -a python2 python3



%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd


%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd


%check
pushd python2
export PYTHONPATH=.:$PYTHONPATH
py.test testing/test_pluggy.py
popd

pushd python3
py.test-%{python3_version} testing/test_pluggy.py
popd


%files -n python2-%{pypiname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypiname}.py
%{python2_sitelib}/%{pypiname}.pyc
%{python2_sitelib}/%{pypiname}.pyo
%{python2_sitelib}/%{pypiname}-%{version}-py%{python2_version}.egg-info


%files -n python3-%{pypiname}
%{python3_sitelib}/%{pypiname}.py
%{python3_sitelib}/__pycache__/%{pypiname}.cpython-%{python3_version_nodots}*.pyc
%{python3_sitelib}/%{pypiname}-%{version}-py%{python3_version}.egg-info
%doc README.rst
%license LICENSE




%changelog
* Sun May 15 2016 ngompa <ngompa> 0.3.1-5.mga6
+ Revision: 1015687
- imported package python-pluggy

